(function (wp) {
    var el = wp.element.createElement;
    var registerBlockType = wp.blocks.registerBlockType;
    var TextControl = wp.editPost.TextControl;

    registerBlockType('mycheekybot/chatbot', {
        title: 'My Cheeky Bot',
        icon: 'robot',
        category: 'widgets',
        attributes: {
            botId: {
                type: 'string',
            },
        },
        edit: function (props) {
            function updateBotId(newBotId) {
                props.setAttributes({ botId: newBotId });
            }

            return el('div', { className: 'my-cheeky-bot-block' },
                el(TextControl, {
                    label: 'Bot ID',
                    value: props.attributes.botId,
                    onChange: updateBotId,
                    placeholder: 'Enter your bot ID here...',
                })
            );
        },
        save: function () {
            // Rendering in PHP, so return null
            return null;
        },
    });
})(window.wp);