class SimpleIframeChatbot {
  constructor(botId, divId, isTest) {
    this.botId = botId;
    this.divId = divId;
    this.isTest = isTest;
    this.apiBaseUrl = isTest
      ? "http://localhost:3000"
      : "https://www.mycheekybot.com";
    this.init();
  }

  async init() {
    if (window !== window.top) return;

    console.log("Initializing chatbot iframe in div:", this.divId);
    this.injectIframe();
  }

  injectIframe() {
    const targetDiv = document.getElementById(this.divId);
    if (!targetDiv) {
      console.error("Div with specified ID not found:", this.divId);
      return;
    }

    const iframe = document.createElement("iframe");
    iframe.src = this.isTest
      ? `http://localhost:3000/chat/${this.botId}`
      : `https://www.mycheekybot.com/chat/${this.botId}`;
    iframe.style.width = "100%";
    iframe.style.height = "70vh";
    iframe.style.border = "none";

    console.log("Appending iframe to target div");
    targetDiv.appendChild(iframe);
    console.log("Iframe appended to target div:", targetDiv);
  }
}

// Use vanilla JavaScript to initialize the chatbot on page load
document.addEventListener("DOMContentLoaded", function () {
  // Initialize the chatbot for each designated container
  const botContainers = document.querySelectorAll(
    '[id^="my-cheeky-bot-inline"]'
  );
  botContainers.forEach(function (container) {
    const botId = container.getAttribute("data-bot-id");
    const divId = container.id; // Use the div's id
    const isTest = container.getAttribute("data-test") === "true"; // Use the isTest data attribute

    if (botId && divId) {
      new SimpleIframeChatbot(botId, divId, isTest);
    } else {
      console.error("Bot ID and/or Div ID is missing from the element.");
    }
  });
});
